Notes: List
Description
Retrieve a list of notes for a case.
See the Get Cases API to learn more about cases.
Request
HTTP Method: GET
| Parameter | Description |
|---|---|
| case_id | The ID of the case. |
| per_page | Optional Set the number of results returned per page. Defaults to 20. |
| page | Optional Specify the page of results to return if there are multiple pages. Defaults to page 1. |
| resolve_mentions | Optional When set to true, replaces mention tokens in each note's content with display names. Defaults to false. |
curl -X GET \
https://<tenant-domain>/api/v2/cases/<<case_id>>/notes \
-H 'content-type: application/json' \
-H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
Response
A successful request will return a JSON object with the notes.
Field description
| Parameter | Description |
|---|---|
| case_id | The ID of the case. |
| notes | An array of note objects attached to a case. |
| Notes Parameter | Description |
|---|---|
| id | The ID of the note record attached to the case. |
| title | The title of the note. |
| content | The content of the note. |
| color | The color of the note - options: white, gold, magenta, green, blue, red, mint, indigo. |
| hidden | Whether the note is hidden (true or false). |
| author | Details of the author of the note. |
| created_at | ISO 8601 Timestamp representing creation date and time. |
| updated_at | ISO 8601 Timestamp representing last updated date and time. |
| Author parameter | Description |
|---|---|
| user_id | The user ID. |
| first_name | The user's first name. |
| last_name | The user's last name. |
| The user's email address. | |
| avatar_url | The user's avatar url. |
| is_service_account | Whether this user is a service account (true/false). |
Sample response
{
"case_id": 42,
"notes": [
{
"id": 7508,
"title": "Note #1 title",
"content": "This is the note content",
"color": "white",
"hidden": false,
"created_at": "2025-01-07T11:42:58Z",
"updated_at": "2025-01-07T11:42:58Z",
"author": {
"user_id": "1",
"first_name": "Jane",
"last_name": "Doe",
"email": "jane@tines.io",
"avatar_url": "example.com/avatar",
"is_service_account": false
}
},
{
"id": 7509,
"title": "Note #2 title",
"content": "This is the note content",
"color": "white",
"hidden": false,
"created_at": "2025-01-08T11:42:58Z",
"updated_at": "2025-01-08T11:42:58Z",
"author": {
"user_id": "1",
"first_name": "John",
"last_name": "Doe",
"email": "john@tines.io",
"avatar_url": "example.com/avatar",
"is_service_account": false
}
}
]
}